Upgrading CIS Firewall Ver 3.14.130099.587 to Ver 4.0.141842.828

I’ve been using Firewall Ver 3.14.130099.587 on my desktop and has worked flawlessly. Recently I purchased a laptop and installed CIS Firewall Ver 4.0.141842.828; also works flawlessly.

Question: Why does the Comodo Firewall updater return a “no updates available” message when I try to update my desktop from ver 3 to ver 4?

How can I install Ver 4.0.141842.828 on my desktop when an earlier version is already in place? Can the newer version be installed “over” the current version?

Thanks for your help.

GoldBeachBiker ??? ???

version 4 cannot be installed over version 3.**. From what I know it is being worked on and maybe in the next version 4.1 there will be an upgrade through automatic updates. For now if you want version 4 I would recommend doing a clean uninstall ( using revo or the bach file offered on the forums) and installing version 4.

I have uninstalled V3.14 and installed v4 twice now with no problems just by running the uninstall from within CCleaner and then running the registry cleaning part of CCleaner after that. I also did run the cleanup tool but it didn’t find anything to remove. It said everything was already gone.

A BIG thanks to you guys! :slight_smile:

@ Dch48, Comodo’s Hero


Offline Offline

Re: I have uninstalled V3.14 and installed v4 twice now with no problems just by running the uninstall from within CCleaner and then running the registry cleaning part of CCleaner after that. I also did run the cleanup tool but it didn’t find anything to remove. It said everything was already gone.

Followed your advice … install went perfectly, with an exception of one dll file (cfp.xe), which was preventing a clean install. Once out of the way, no problemo. Thanks again 88)